optoKummenberg

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | Protected Attributes | List of all members
optoKummenberg.registers.InputStage.Analog Class Reference
Inheritance diagram for optoKummenberg.registers.InputStage.Analog:

## Public Member Functions
def | __init__ (self, int channel=0, board=None)
def | set_register (self, str or int register_name_or_id, value)
def | set_voltage_LUT (self, voltage)
def | set_value_LUT (self, value)
def | SetCalCoefEnable (self, value)
def | SetLUTtype (self, value)
def | SetExtrapolationType (self, value)
def | SetUnit (self, value)
def | GetUnit (self)
def | GetMinimum (self)
def | SetMinimum (self, value)
def | GetMaximum (self)
def | SetMaximum (self, value)
def | GetMappingMinimum (self)
def | SetMappingMinimum (self, value)
def | GetMappingMaximum (self)
def | SetMappingMaximum (self, value)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.InputStage
def | __init__ (self, int or None channel=0, board=None)
def | SetAsInput (self)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
def | __init__ (self, int or None channel=None, board=None)
def | set_register (self, str or int register_name_or_id, value, bool set_internal=False)
def | set_register_id (self, int register_id, value, type=None)
def | get_register (self, str or int register_name_or_id)
def | get_register_id (self, int register_id)
def | get_register_names (self)

## Static Public Member Functions
def | help ()

## Public Attributes
| sys_id
| adc_value
| unit
| minimum
| maximum
| mapping_minimum
| mapping_maximum
| calCoefEnable
| LUTinputType
| LUTextrapolationType
| LUT_voltage
| LUT_value
| name
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.InputStage
| name
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| name
| register_list

## Protected Attributes
| _unitranges
Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| _channel
| _is_a_system
| _board

## Additional Inherited Members
Protected Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
def | _get_register_list (self)
Static Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.InputStage
bool | _is_a_system = False
Static Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
bool | _is_a_system = False

## Detailed Description

    Input Channel Systems - Analog Input
    System ID: 0x58 through 0x5f

    +----------------+------+-------------+--------------------+-------------+---------+------------------------+
    | Register Name  | Id   | Type        | Unit               | Range       | Default | Comment                |
    +================+======+=============+====================+=============+=========+========================+
    | unit           |0x01  | uint 32-bit | None               |0            | 0       | See registers table 1  |
    +----------------+------+-------------+--------------------+-------------+---------+------------------------+
    | minimm         |0x02  | float 32-bit| Volt               |             | 0       |                        |
    +----------------+------+-------------+--------------------+-------------+---------+------------------------+
    | maximum        |0x03  | float 32-bit| Volt               |             | 0       |                        |
    +----------------+------+-------------+--------------------+-------------+---------+------------------------+
    |mapping_minimum |0x04  | float 32-bit| A / None / Degrees |             | 0       | Unit depends on 0x0301 |
    +----------------+------+-------------+--------------------+-------------+---------+------------------------+
    |mapping_maximum |0x05  | float 32-bit| A / None / Degrees |             | 0       | Unit depends on 0x0301 |
    +----------------+------+-------------+--------------------+-------------+---------+------------------------+

    registers table 1:

    +---------------------+-------+
    | Analogue Input Unit | Value |
    +=====================+=======+
    | Current             | 0     |
    +---------------------+-------+

## Constructor & Destructor Documentation

## ◆ __init__()

def optoKummenberg.registers.InputStage.Analog.__init__ | ( |  | self,
|  | int | channel = `0`,
|  |  | board = `None`
| ) |  |

Reimplemented from optoKummenberg.registers.ClassAbstracts.InputStage.

## Member Function Documentation

## ◆ GetMappingMaximum()

def optoKummenberg.registers.InputStage.Analog.GetMappingMaximum | ( |  | self | ) |

## ◆ GetMappingMinimum()

def optoKummenberg.registers.InputStage.Analog.GetMappingMinimum | ( |  | self | ) |

## ◆ GetMaximum()

def optoKummenberg.registers.InputStage.Analog.GetMaximum | ( |  | self | ) |

## ◆ GetMinimum()

def optoKummenberg.registers.InputStage.Analog.GetMinimum | ( |  | self | ) |

## ◆ GetUnit()

def optoKummenberg.registers.InputStage.Analog.GetUnit | ( |  | self | ) |

## ◆ help()

def optoKummenberg.registers.InputStage.Analog.help | ( |  | ) |
| static

## ◆ set_register()

def optoKummenberg.registers.InputStage.Analog.set_register | ( |  | self,
|  | str or int | register_name_or_id,
|  |  | value
| ) |  |

Reimplemented from optoKummenberg.registers.ClassAbstracts.System.

## ◆ set_value_LUT()

def optoKummenberg.registers.InputStage.Analog.set_value_LUT | ( |  | self,
|  |  | value
| ) |  |

## ◆ set_voltage_LUT()

def optoKummenberg.registers.InputStage.Analog.set_voltage_LUT | ( |  | self,
|  |  | voltage
| ) |  |

## ◆ SetCalCoefEnable()

def optoKummenberg.registers.InputStage.Analog.SetCalCoefEnable | ( |  | self,
|  |  | value
| ) |  |

## ◆ SetExtrapolationType()

def optoKummenberg.registers.InputStage.Analog.SetExtrapolationType | ( |  | self,
|  |  | value
| ) |  |

## ◆ SetLUTtype()

def optoKummenberg.registers.InputStage.Analog.SetLUTtype | ( |  | self,
|  |  | value
| ) |  |

## ◆ SetMappingMaximum()

def optoKummenberg.registers.InputStage.Analog.SetMappingMaximum | ( |  | self,
|  |  | value
| ) |  |

## ◆ SetMappingMinimum()

def optoKummenberg.registers.InputStage.Analog.SetMappingMinimum | ( |  | self,
|  |  | value
| ) |  |

## ◆ SetMaximum()

def optoKummenberg.registers.InputStage.Analog.SetMaximum | ( |  | self,
|  |  | value
| ) |  |

## ◆ SetMinimum()

def optoKummenberg.registers.InputStage.Analog.SetMinimum | ( |  | self,
|  |  | value
| ) |  |

## ◆ SetUnit()

def optoKummenberg.registers.InputStage.Analog.SetUnit | ( |  | self,
|  |  | value
| ) |  |

## Member Data Documentation

## ◆ _unitranges

optoKummenberg.registers.InputStage.Analog._unitranges
| protected

## ◆ adc_value

optoKummenberg.registers.InputStage.Analog.adc_value

## ◆ calCoefEnable

optoKummenberg.registers.InputStage.Analog.calCoefEnable

## ◆ LUT_value

optoKummenberg.registers.InputStage.Analog.LUT_value

## ◆ LUT_voltage

optoKummenberg.registers.InputStage.Analog.LUT_voltage

## ◆ LUTextrapolationType

optoKummenberg.registers.InputStage.Analog.LUTextrapolationType

## ◆ LUTinputType

optoKummenberg.registers.InputStage.Analog.LUTinputType

## ◆ mapping_maximum

optoKummenberg.registers.InputStage.Analog.mapping_maximum

## ◆ mapping_minimum

optoKummenberg.registers.InputStage.Analog.mapping_minimum

## ◆ maximum

optoKummenberg.registers.InputStage.Analog.maximum

## ◆ minimum

optoKummenberg.registers.InputStage.Analog.minimum

## ◆ name

optoKummenberg.registers.InputStage.Analog.name

## ◆ sys_id

optoKummenberg.registers.InputStage.Analog.sys_id

## ◆ unit

optoKummenberg.registers.InputStage.Analog.unit

The documentation for this class was generated from the following file:

- C:/Users/filip.stary/Documents/142-421-00_optoKummenberg/src/main/python/optoKummenberg/registers/InputStage.py